Bug 497260 - permission error after ks profile clonning.
permission error after ks profile clonning.
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.5
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: space16
  Show dependency treegraph
 
Reported: 2009-04-22 23:36 EDT by Daniel
Modified: 2011-08-05 08:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-05 08:14:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel 2009-04-22 23:36:02 EDT
Description of problem:
When VM kickstart profile was clonned, there is the following message appeares at WebUI:

You do not have the appropriate permission set to access the requested page. You may have reached this error page in one of several ways:
You are using Konqueror 3.0, which does not handle form variables properly in all cases. Continuing to use Konqueror 3.0 will have unexpected results. If you are using Konqueror 3.0, please use another browser.
Your login session has expired. For security reasons, Spacewalk terminates your login session after 60 minutes of inactivity. To sign in again, click here.
You've found an error in our site. Please contact your Support representative with details of how you received this message.
Your browser does not have cookies enabled. The Spacewalk requires cookies in order to function; if you have disabled them, please re-enable them to use the site.
You've done something naughty. Stop it.

in the tomcat log i have the following:

2009-04-22 20:30:34,602 [TP-Processor6] ERROR com.redhat.rhn.common.errors.PermissionExceptionHandler - Permission Error                                           
com.redhat.rhn.common.security.PermissionException: The activation key '1-ad0d030667d6a720bba3308f17102495' needs  provisioning capabilities to be able to facilitate  the config channel functionality


Version-Release number of selected component (if applicable):
0.5


How reproducible:
Easy reproduced on my system, just clone VM's ks profile.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I did spacewalk upgrade 0.4->0.5, cobbler is 1.6.3.
Spacewalk is running on the box under CentOS 5.2, i386.
Client Web browser - 9.62
Comment 1 Jason Czerak 2009-05-15 22:36:10 EDT
I have this same error, however when I try to access the KS URL to download the Kickstart file
Comment 2 Philipp Rusch 2009-05-18 09:01:31 EDT
The same problem at my site and it is really annoying.
Comment 3 Jason Czerak 2009-05-18 09:16:42 EDT
On the kickstart prfile,  under system details and details, do you folks have either of the spacewalk configuration or remote control check boxes checked?

when I had them checked is when I seen this error. Once I removed those check boxes, I was good to go

I'm using OEL 5.2. i've found I'm forced to use a custom KS script due to the fact that OEL fails in providing a working RHN client lib
Comment 4 Philipp Rusch 2009-05-18 09:26:36 EDT
I have tried out your hint and it works. Without the ticked check-boxes the cloning process works very well.
Comment 5 Jan Pazdziora 2010-11-19 11:04:29 EST
Mass-moving to space13.
Comment 6 Miroslav Suchý 2011-04-11 03:33:03 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 7 Miroslav Suchý 2011-04-11 03:37:00 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 8 Jan Pazdziora 2011-07-20 07:51:12 EDT
Aligning under space16.
Comment 9 Jan Pazdziora 2011-07-25 12:42:01 EDT
The code in question has changed a lot since this bugzilla was filed. Could you check if the problem persists in Spacewalk 1.5?
Comment 10 Jan Pazdziora 2011-08-05 08:14:14 EDT
(In reply to comment #9)
> The code in question has changed a lot since this bugzilla was filed. Could you
> check if the problem persists in Spacewalk 1.5?

I assume the thing works now. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.